# Top-level root Makefile

# directories to build libraries (and maybe executables) in
# >>>these must be built before the others<<<
LIB = nlib libem libssl

# directories to build executables in
PROXY = cmd-gw cvs-gw ident-spoofer netacl lp-gw nntp-gw plug-gw pop3-gw \
        ftp-gw rexec-gw rsh-gw smtp-gw ssl-gw ssmtp hqdaemon dnsctl squid-gw

# authentication server and stuff
AUTH = auth agent

# additional tools
ADDITIONAL = reports

# legacy proxies from TIS (mind the lincense!)
LEGACY = tn-gw rlogin-gw x-gw

# "unsupported" proxies that did not pass code audit and API conversion
UNSUPPORTED = aol-gw ra-gw irc-gw ms-sql-gw sybase-gw http-in mbone-gw

SUBDIRS = $(LIB) $(AUTH) $(PROXY) $(ADDITIONAL)

all clean install:
	@for SDIR in $(SUBDIRS); do cd $$SDIR && $(MAKE) $@; cd ..; done
